Skip to main content
POST
/
transactions
/
{id}
/
migrate
Copy a transaction into the other environment (test ↔ live)
curl --request POST \
  --url https://api.artu.ai/transactions/{id}/migrate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "precedence": "source",
  "include": {
    "evidence": true,
    "clients": {
      "addresses": true,
      "bankAccounts": true,
      "contactMethods": true,
      "documents": true,
      "relationships": true
    }
  }
}
'
{
  "status": "<unknown>",
  "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "counts": [
    {
      "created": 4503599627370495,
      "updated": 4503599627370495
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
to
enum<string>
required
Available options:
test,
live
precedence
enum<string>
default:source
Available options:
source,
target
include
object

Response

200 - application/json

OK

status
any
required
targetId
string<uuid>
required
action
enum<string>
required
Available options:
created,
updated
counts
object[]
required